<?php
/*
 * @package zniengage
 * @version 2
 */
/*
 Plugin Name: ZipCall
 Plugin URI: https://znicrm.com/
 Description: Talk with your website visitors
 Version: 1.1
 Author: Intueri, Inc.
 Author URI: https://znicrm.com
 License: GPLv2
 */
function zipcall_add_data() {
	$zipcall_apikey = trim(get_option('zipcall_api_key'));
	if(isset($zipcall_apikey) && strlen($zipcall_apikey) == 32){
		echo "<!--ZIPCALL.US CODE-->";
		echo("<script type='text/javascript'> 
                (function(zip,ca,ll,dot,us){
                    zipcall=zip;
                    zc=function(k,v){
                	    if(typeof zca==='undefined'||!zca instanceof Array){
                		    zca=[];
                		}
                		zca[k]=v;
                	}
                	zc('ak',us);
                	a=ca.createElement(ll);
                	j=ca.getElementsByTagName(ll).length;
                	m=ca.getElementsByTagName(ll)[j-1];
                	a.async=1;
                	a.src=dot;
                	m.parentNode.insertBefore(a,m);
                })(window,document,'script','https://engage.znicrm.com/engage.js','". $zipcall_apikey ."'); 
                </script>");
		echo("<!--END OF ZIPCALL.US CODE-->");
	}
}
add_action('wp_footer', 'zipcall_add_data');

// create custom plugin settings menu
add_action('admin_menu', 'zipcall_create_menu');

function zipcall_create_menu() {

	//create new top-level menu
	add_menu_page('Engage Plugin Settings', 'Engage', 'administrator', __FILE__, 'zipcall_settings_page','');

	//call register settings function
	add_action( 'admin_init', 'zipcall_register_mysettings' );
}


function zipcall_register_mysettings() {
	//register our settings
	register_setting( 'zipcall-settings-group', 'zipcall_api_key' );
}

function zipcall_settings_page() {
	?>
<div class="wrap">
<h2>Set ZNIEngage API Key</h2>

<form method="post" action="options.php"><?php settings_fields( 'zipcall-settings-group' ); ?>
	<?php do_settings_sections( 'zipcall-settings-group' ); ?>
<table class="form-table">
	<tr valign="top">
		<th scope="row">API Key</th>
		<td><input type="text" maxlength="32" style="width: 300px;"
			name="zipcall_api_key"
			value="<?php echo esc_attr( get_option('zipcall_api_key') ); ?>" /></td>
	</tr>

</table>
<div>API Key is 32 characters long. Please do not enter any special characters
or space in the key.</div>
	<?php submit_button(); ?>
<div style="padding: 4px;">You can get the API key by registering from <a
	href="https://dash.znicrm.com/register.php?source=engage" target="_blank"
	style="text-decoration: none">https://dash.znicrm.com/register.php?source=engage</a>. To see
a live demo on your website visit <a
	href="https://znicrm.com/engage/" target="_blank"
	style="text-decoration: none">Demo Page</a></div>
</form>
</div>
	<?php } ?>